For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task views that the current user subscribed to.
      • POSTCreates a new task view and directly subscribes the current user to it.
      • POSTSubscribes the current user to a shared task view.
      • POSTRemoves a subscription of the current user from a shared task view.
      • GETReturns the specified task view of the current user.
      • PUTUpdates the specified task view of the current user.
      • DELDeletes the specified task view.
      • GETReturns all tasks matching the filter of the specified task view.
      • GETReturns all shared task views.
      • GETReturns the specified shared task view.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Views

Returns all task views that the current user subscribed to.

GET
https://api.awork.com/api/v1/me/taskviews
GET
/api/v1/me/taskviews
$curl https://api.awork.com/api/v1/me/taskviews \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "isShared": true,
5 "filter": "(project/company ne null)",
6 "filterSettings": "(json data representing the filter settings. Too long to show in doc)",
7 "name": "Projects with defined company",
8 "createdOn": "2022-03-10T16:03:49.100Z",
9 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
10 "updatedOn": "2022-03-15T16:55:00.100Z",
11 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
12 }
13]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a new task view and directly subscribes the current user to it.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The id of the task view.
isSharedboolean
Whether this task view is shared within the workspace.
filterstring or null
The filter query that is applied to the tasks results. The syntax follows the normal filter coventions that can be used on GET routes.
filterSettingsstring or null
The filter settings to display.
namestring or null
The name of the task view.
createdOnstringformat: "date-time"
The date this task view was created.
createdBystringformat: "uuid"
The id of the user who created this task view.
updatedOnstringformat: "date-time"
The date this task view was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task view.